wxWidgets: interface/wx/xlocale.h File Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Classes | Functions | Variables
xlocale.h File Reference

## Classes
class | wxXLocale
| This class represents a locale object used by so-called xlocale API. More...

## Functions
int | wxIsalnum_l (wchar_t c, const wxXLocale &loc)
int | wxIsalpha_l (wchar_t c, const wxXLocale &loc)
int | wxIscntrl_l (wchar_t c, const wxXLocale &loc)
int | wxIsdigit_l (wchar_t c, const wxXLocale &loc)
int | wxIsgraph_l (wchar_t c, const wxXLocale &loc)
int | wxIslower_l (wchar_t c, const wxXLocale &loc)
int | wxIsprint_l (wchar_t c, const wxXLocale &loc)
int | wxIspunct_l (wchar_t c, const wxXLocale &loc)
int | wxIsspace_l (wchar_t c, const wxXLocale &loc)
int | wxIsupper_l (wchar_t c, const wxXLocale &loc)
int | wxIsxdigit_l (wchar_t c, const wxXLocale &loc)
wchar_t | wxTolower_l (wchar_t c, const wxXLocale &loc)
wchar_t | wxToupper_l (wchar_t c, const wxXLocale &loc)
double | wxStrtod_l (const wchar_t *c, wchar_t **endptr, const wxXLocale &loc)
long | wxStrtol_l (const wchar_t *c, wchar_t **endptr, int base, const wxXLocale &loc)
unsigned long | wxStrtoul_l (const wchar_t *c, wchar_t **endptr, int base, const wxXLocale &loc)

## Variables
wxXLocale | wxNullXLocale
| An empty and invalid wxXLocale object.

## Function Documentation

## ◆ wxIsalnum_l()

int wxIsalnum_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxIsalpha_l()

int wxIsalpha_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxIscntrl_l()

int wxIscntrl_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxIsdigit_l()

int wxIsdigit_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxIsgraph_l()

int wxIsgraph_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxIslower_l()

int wxIslower_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxIsprint_l()

int wxIsprint_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxIspunct_l()

int wxIspunct_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxIsspace_l()

int wxIsspace_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxIsupper_l()

int wxIsupper_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxIsxdigit_l()

int wxIsxdigit_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxStrtod_l()

double wxStrtod_l | ( | const wchar_t * | c,
|  | wchar_t ** | endptr,
|  | const wxXLocale & | loc )

## ◆ wxStrtol_l()

long wxStrtol_l | ( | const wchar_t * | c,
|  | wchar_t ** | endptr,
|  | int | base,
|  | const wxXLocale & | loc )

## ◆ wxStrtoul_l()

unsigned long wxStrtoul_l | ( | const wchar_t * | c,
|  | wchar_t ** | endptr,
|  | int | base,
|  | const wxXLocale & | loc )

## ◆ wxTolower_l()

wchar_t wxTolower_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## ◆ wxToupper_l()

wchar_t wxToupper_l | ( | wchar_t | c,
|  | const wxXLocale & | loc )

## Variable Documentation

## ◆ wxNullXLocale

wxXLocale wxNullXLocale

An empty and invalid wxXLocale object.